#!/usr/bin/env python
import requests
import json
import login
import findOrCreateDataSet

name = "DataSetForPythonRefApp"

def deleteDataSet(session, name):
    id = findOrCreateDataSet.findDataSet(session, name)            
    if id <= 0:
        print("data set %s does not exist" % name)
        return

    url = "datasets/" + str(id)
    request = session.delete(login.base + url)
    if request.status_code == requests.codes.ok:
        data = request.json()
        print(data)
    else:
        request.raise_for_status()
        

def main():
    with requests.Session() as session:
        login.login(session)
        deleteDataSet(session, name)
        
if __name__ == '__main__':
    main()
