#!/usr/bin/env python
import requests
import json
import login
import getDataSets

name = "DataSetForPythonRefApp"

def findDataSet(session, name):
    result = getDataSets.getDataSet(session)
    for d in result:
        if d["name"] == name:
            return d["id"]
    return 0
    
def findOrCreateDataset(session, name):
    if findDataSet(session, name) > 0:
        print("data set %s already exists" % name)
        return
    
    url = "datasets"
    payload = { 'name' : name }
    request = session.post(login.base + url, data = json.dumps(payload))
    if request.status_code == requests.codes.ok:
        data = request.json()
        print(data)
    else:
        request.raise_for_status()

def main():
    with requests.Session() as session:
        login.login(session)
        findOrCreateDataset(session, name)
    
if __name__ == '__main__':
    main()

