#!/usr/bin/env python
import requests
import json
import login

def getDataSet(session):
    url = "datasets"    

    request = session.get(login.base + url)
    if request.status_code == requests.codes.ok:
        return request.json()
    else:
        request.raise_for_status()
        return {}
        
def listDataSets(session):
    result = getDataSet(session)            
    for d in result:
        print("%d: %s" % (d["id"], d["name"]))

def main():
    with requests.Session() as session:
        login.login(session)
        listDataSets(session)
        
if __name__ == '__main__':
    main()
