#!/usr/bin/env python
import requests
import json
import login
import findOrCreateDataSet

dataSetName = "DataSetForPythonRefApp"

def getPropertyTypes(session, name):
    id = findOrCreateDataSet.findDataSet(session, name)
    if id <= 0:
        print("data set %s does not exist" % name)
        return {}
    
    url = "datasets/" + str(id) + "/property-types"
    request = session.get(login.base + url)
    if request.status_code == requests.codes.ok:
        return request.json()
    else:
        request.raise_for_status()

def main():
    with requests.Session() as session:
        login.login(session)
        print(getPropertyTypes(session, dataSetName))
    
if __name__ == '__main__':
    main()

